安装cuda+cudnn+tensorflow-gpu的过程错误

由于电脑系统重装,我重新安装了VS、cuda、cudnn、tensorflow-gpu,安得我两泪纵横。
其实卡就卡在了我的英伟达驱动上,大家应该不会遇到这个问题。。。

我安装的版本为VS2015+cuda10.0+cudnn10.0+tensorflow-gpu1.13.1,显卡为MX150。
有相同显卡的朋友可以参照我这个来安装。

cuda和cudnn可以去官网安装,cudnn会提示你和cuda匹配的版本是什么。

cuda安装好之后需要在配置环境变量,cuda安装之后系统环境变量会自动添加一个CUDA_PATH,另外还要在PATH中添加两个环境变量:%CUDA_PATH%\bin 和 %CUDA_PATH%\libnvvp。

cudnn解压后,把文件夹下的bin、include、lib复制粘贴到cuda的文件夹中。

这样一通操作下来,应该就没有什么问题了。如果再有问题就是版本不匹配了。
版本匹配可以从这里找到:https://www.tensorflow.org/install/source

安装时是有碰到这个问题,除了ImportError:DLL load failed:找不到指定的模块这个常见问题之外,还有一个提示为ModuleNotFoundError:No module named '_pywrap_tensorflow_internal’的错误,我出现这个错误是版本匹配不上,因为我最开始安装的tensorflow版本为1.2.0,后来安了1.13.1就好了。
安装cuda+cudnn+tensorflow-gpu的过程错误

;